Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_EventChannel_Attributes Class Reference

Defines the construction time attributes for the Event Channel. More...

`#include <CEC_EventChannel.h>`

List of all members.

## Public Methods
| TAO_CEC_EventChannel_Attributes (PortableServer::POA_ptr supplier_poa, PortableServer::POA_ptr consumer_poa)
## Public Attributes
int | consumer_reconnect
| Can consumers or suppliers invoke connect_push_* multiple times?
int | supplier_reconnect
int | disconnect_callbacks
## Private Attributes
PortableServer::POA_ptr | supplier_poa
| The POAs.
PortableServer::POA_ptr | consumer_poa
## Friends
class | TAO_CEC_EventChannel
| Only the EC can read the private fields.

## Detailed Description

Defines the construction time attributes for the Event Channel.

The event channel implementation is controlled by two mechanisms: The CEC_Factory that provides the strategies for the EC implementation. The EC attributes that define constants and values required by the EC construction. This class encapsulates those constants and values, providing an easy mechanism to extend the attributes without requiring changes in the EC constructor.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_EventChannel_Attributes::TAO_CEC_EventChannel_Attributes | ( | PortableServer::POA_ptr | supplier_poa,
|  | PortableServer::POA_ptr | consumer_poa
| ) |

| The basic constructor. The attributes listed as arguments are *required* by the EC, and no appropiate defaults are available for them.

## Friends And Related Function Documentation

friend class TAO_CEC_EventChannel`[friend]`

| Only the EC can read the private fields.

## Member Data Documentation

PortableServer::POA_ptr TAO_CEC_EventChannel_Attributes::consumer_poa`[private]`

int TAO_CEC_EventChannel_Attributes::consumer_reconnect

| Can consumers or suppliers invoke connect_push_* multiple times?

int TAO_CEC_EventChannel_Attributes::disconnect_callbacks

| It not zero the event channel will send disconnect callbacks when a disconnect method is called on a Proxy. In other words, if a consumer calls disconnect_push_supplier() on its proxy the EC will invoke disconnect_push_consumer() on the consumer. A similar thing is done for suppliers. It is a matter of debate what the spec requires for the regular event service.

PortableServer::POA_ptr TAO_CEC_EventChannel_Attributes::supplier_poa`[private]`

| The POAs.

int TAO_CEC_EventChannel_Attributes::supplier_reconnect

The documentation for this class was generated from the following files:

- CEC_EventChannel.h
- CEC_EventChannel.i